Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160923 - Incorrect content of /etc/sysconfig/i18n after install
Summary: Incorrect content of /etc/sysconfig/i18n after install
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Lumens
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks: FC5Blocker
TreeView+ depends on / blocked
 
Reported: 2005-06-18 18:31 UTC by Tomasz Kepczynski
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-21 20:08:13 UTC


Attachments (Terms of Use)

Description Tomasz Kepczynski 2005-06-18 18:31:30 UTC
Description of problem:
Fresh install of FC4 i386 with Polish choosen as instalation language.
Polish and British language packages were choosen during install.
After install /etc/sysconfig/i18n contains:
LANG="pl"
SYSFONT="latarcyrheb-sun16"

LANG setting is incorrect and should be pl_PL for iso8859-2 charset or
pl_PL.UTF8 for UTF8 charset. locale, when run, complains:
locale: cannot set LC_CTYPE to default locale: no such file or directory
locale: cannot set LC_MESSAGES to default locale: no such file or directory
locale: cannot set LC_ALL to default locale: no such file or directory

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. install as described
2. check /etc/sysconfig/i18n after reboot after install
  
Actual results:
Wrong systemwide locale setting

Expected results:
Correct systemwide locale setting

Additional info:
I am not 100% sure, but I don't think I had this problem when
installing x86_64 version.

Comment 1 Jeremy Katz 2005-06-20 18:01:43 UTC
How did you select your language?  By passing lang= on the command line or by
selecting it in the UI?  Also, CD install?

Comment 2 Tomasz Kepczynski 2005-06-21 05:20:42 UTC
Network install with iso images exported by nfs, with kernel and
initrd.img loaded by pxelinux.
Kernel commandline:
initrd=FC4.i386/initrd.img ip=dhcp \
method=nfs:gklab-59-004:/local/Fedora lang=pl keymap=pl
Now when I think about it, installation of x86_64 version I mentioned
previously was a DVD install with all choices made in anaconda UI.

Comment 3 Jeremy Katz 2005-06-21 17:29:24 UTC
If you boot with lang=pl_PL.UTF-8, that'll fix it

Chris -- we should canonicalize these.


Note You need to log in before you can comment on or make changes to this bug.